Get other names for subscribed NPNs
Returns all other names records for NPNs you are currently subscribed to.
Query Parameters
comma separated list of National Producer Numbers (NPNs)
Example:123456789, 987654321
comma separated list of states abbreviations (must be 2 characters) - this will filter on the forState field
Example:MO, CA, CO
limits results to those that have an updated date equivalent to or after to the date provided (YYYY-MM-DD) - this will filter on the updatedAt field
Match pattern:yyyy-MM-dd
Example:2024-10-15
specifiy whether or not deleted records should be included in the response - this will filter on the niprDeleted field
Default:true
the number of objects on the page (min = 1 / max = 1,000)
Default:250
>= 1<= 1000
Response
application/hal+json
Response
Success
Show Child Parameters
Get other names for a specific NPN
Returns all other names associated with a specific NPN. If you’re not already subscribed, this request will automatically subscribe you to the NPN.
Query Parameters
comma separated list of states abbreviations (must be 2 characters) - this will filter on the forState field
Example:MO, CA, CO
limits results to those that have an updated date equivalent to or after to the date provided (YYYY-MM-DD) - this will filter on the updatedAt field
Match pattern:yyyy-MM-dd
Example:2024-10-15
specifiy whether or not deleted records should be included in the response - this will filter on the niprDeleted field
Default:true
the number of objects on the page (min = 1 / max = 1,000)
Default:250
>= 1<= 1000
Path Parameters
National Producer Number (npn) of the data to return
Example:123456789
Response
application/hal+json
Response
Success
Show Child Parameters
Get other names by ID
Retrieves a single other names record using its unique other names ID.
Path Parameters
Unique other names ID
Response
application/hal+json
Response
Success
OtherNamesV1
Producer Regulatory Actions
Regulatory actions information for producers
Get regulatory actions for subscribed NPNs
Returns all regulatory actions records for NPNs you are currently subscribed to.
If no query parameters are provided in the request, then the response will include all
regulatory actions for all currently subscribed NPNs. To maximize effectiveness, we strongly
recommend using at least one parameter to narrow your results.
Query Parameters
comma separated list of National Producer Numbers (NPNs)
Example:123456789, 987654321
comma separated list of states abbreviations (must be 2 characters) - this will filter on the forState field
Example:MO, CA, CO
limits results to those that have an updated date equivalent to or after to the date provided (YYYY-MM-DD) - this will filter on the updatedAt field
Match pattern:yyyy-MM-dd
Example:2024-10-15
specifiy whether or not deleted records should be included in the response - this will filter on the niprDeleted field
Default:true
the number of objects on the page (min = 1 / max = 1,000)
Default:250
>= 1<= 1000
Response
application/hal+json
Response
Success